package cn.feast.coding.mapper.system;


import cn.feast.coding.model.system.Role;

import java.util.List;
import java.util.Map;

/**
 * Created By FeastCoding.
 */
public interface RoleMapper {

    Integer save(Role model);

    void update(Role model);

    void deleteById(Integer id);

    int queryByCount(Role model);

    List<Role> queryByList(Map paramsMap);

    List<Role> queryByRole(Role model);

    Role queryById(Integer id);
}